Index: squid/src/auth/digest/auth_digest.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/auth/digest/auth_digest.h,v
retrieving revision 1.7
retrieving revision 1.7.28.1
diff -u -r1.7 -r1.7.28.1
--- squid/src/auth/digest/auth_digest.h	13 Jan 2002 03:21:39 -0000	1.7
+++ squid/src/auth/digest/auth_digest.h	3 Oct 2002 01:04:37 -0000	1.7.28.1
@@ -8,11 +8,12 @@
 #include "rfc2617.h"
 
 /* Generic */
-typedef struct {
+class DigestAuthenticateStateData {
+public:
     void *data;
     auth_user_request_t *auth_user_request;
     RH *handler;
-} authenticateStateData;
+};
 
 typedef struct _digest_request_h digest_request_h;
 typedef struct _digest_user_h digest_user_h;
